Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math
Class Expression

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.math.Expression

public class Expression
extends com.beanexplorer.beans.Option

Mathematical expression. Expression has two presentations:

1. text - text string using linear syntaxes;
2. ast - AST tree that corresponds to parsed expression.

Field Summary
`protected AstStart` | `astStart`
`protected ParserContext` | `context`
`static Parser` | `linearParser`
`protected static org.apache.log4j.Category` | `log`
`protected java.lang.String` | `text`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Expression(com.beanexplorer.beans.Option parent, org.w3c.dom.Node mathElement)` Constructs new expression from linear syntax or MathML text.
`Expression(com.beanexplorer.beans.Option parent, java.lang.String text)` Constructs new expression from linear syntax or MathML text.

Method Summary
`AstStart` | `getAstStart()`
`ParserContext` | `getParserContext()`
`java.lang.String` | `getText()`
`void` | `parseExpression(org.w3c.dom.Node math)`
`void` | `parseExpression(java.lang.String text)`
`void` | `setAstStart(AstStart astStart)`
`void` | `setParserContext(ParserContext context)`
`void` | `setText(java.lang.String text)`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### text

    protected java.lang.String text

### astStart

    protected AstStart astStart

### context

    protected ParserContext context

### linearParser

    public static Parser linearParser

Constructor Detail

### Expression

    public Expression(com.beanexplorer.beans.Option parent,
                      java.lang.String text)

  Constructs new expression from linear syntax or MathML text.

### Expression

    public Expression(com.beanexplorer.beans.Option parent,
                      org.w3c.dom.Node mathElement)

  Constructs new expression from linear syntax or MathML text.

Method Detail

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getAstStart

    public AstStart getAstStart()

### setAstStart

    public void setAstStart(AstStart astStart)

### getParserContext

    public ParserContext getParserContext()

### setParserContext

    public void setParserContext(ParserContext context)

### parseExpression

    public void parseExpression(java.lang.String text)

  Pendung:
    - log messages.

### parseExpression

    public void parseExpression(org.w3c.dom.Node math)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.